> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve Update Organization Name

> Updates the caller's org display name.

Not available to API keys yet. It will need `organization:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/self-serve-update-organization-name
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-update-organization-name:
    post:
      operationId: selfServeUpdateOrganizationName
      summary: Self Serve Update Organization Name
      description: |-
        Updates the caller's org display name.

        Not available to API keys yet. It will need `organization:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SelfServeUpdateOrganizationNameRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfServeUpdateOrganizationNameResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SelfServeUpdateOrganizationNameRequest:
      type: object
      properties:
        orgName:
          type: string
          minLength: 1
      required:
        - orgName
    SelfServeUpdateOrganizationNameResponse:
      type: object
      properties:
        success:
          type: boolean
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
